org.apache.felix.gogo.jline

## Class Parser

- java.lang.Object
- - org.apache.felix.gogo.jline.Parser

All Implemented Interfaces:
  org.jline.reader.Parser

    public class Parser
    extends Object
    implements org.jline.reader.Parser

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jline.reader.Parser

`org.jline.reader.Parser.ParseContext`

### Constructor Summary

Constructors
Constructor and Description
`Parser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.jline.reader.ParsedLine` `parse(String line, int cursor, org.jline.reader.Parser.ParseContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jline.reader.Parser

`getCommand, isEscapeChar, parse`

### Constructor Detail

#### Parser

    public Parser()

### Method Detail

#### parse

    public org.jline.reader.ParsedLine parse(String line,
                                             int cursor,
                                             org.jline.reader.Parser.ParseContext context)
                                      throws org.jline.reader.SyntaxError

Specified by:
  `parse` in interface `org.jline.reader.Parser`
Throws:
  `org.jline.reader.SyntaxError`